curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"articles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "getting-started",
"title": "Getting Started Guide",
"state": "published",
"permalink_identifier": "a-84af178b",
"author": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com"
},
"tags": [
"tutorial"
],
"url": "https://example.neetokb.com/articles/getting-started",
"draft_url": "<string>",
"permalink": "https://example.neetokb.com/p/a-84af178b",
"published_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_archived": true,
"source_of_truth_url": "<string>",
"source_product_name": "<string>",
"unique_views_count": 42,
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_private": true
}
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}{
"error": "State must be one of draft, published, all."
}List articles
This API allows to get a list of articles. Only published articles are returned unless you pass state.
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"articles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "getting-started",
"title": "Getting Started Guide",
"state": "published",
"permalink_identifier": "a-84af178b",
"author": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "jsmith@example.com"
},
"tags": [
"tutorial"
],
"url": "https://example.neetokb.com/articles/getting-started",
"draft_url": "<string>",
"permalink": "https://example.neetokb.com/p/a-84af178b",
"published_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"is_archived": true,
"source_of_truth_url": "<string>",
"source_product_name": "<string>",
"unique_views_count": 42,
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_private": true
}
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"current_page_number": 123,
"page_size": 123
}
}{
"error": "State must be one of draft, published, all."
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Query Parameters
Unique identifier of the category. Refer to Getting the Category ID section for detailed instructions.
Page of results to retrieve, starting from 1. Defaults to 1 when omitted.
Number of results per page. Defaults to 30 when omitted. Maximum 100.
x <= 100Partial, case-insensitive match on title, slug and body; with state draft or all, also matches unpublished draft revisions. Not relevance ranked; use Search for that. At most 1000 characters.
1000Status of the article. Defaults to published. Pass all to include drafts.
draft, published, all Field to sort by.
title, slug, state, category_name, views_count, created_at, updated_at Sort direction. Case-insensitive.
asc, desc Response
OK - Request succeeded
Hide child attributes
Hide child attributes
"getting-started"
"Getting Started Guide"
draft, published "published"
"a-84af178b"
["tutorial"]
"https://example.neetokb.com/articles/getting-started"
"https://example.neetokb.com/p/a-84af178b"
42